<template>
<v-container fill-height fluid>
  <v-row>
    <v-col v-if="roles.length > 0" md="12">
      <v-row justify="center">
        <v-col cols="12">
          <v-row justify="center">Vemos que desempeñas estos roles.</v-row>
          <v-row justify="center">Escoge el rol con el que deseas ingresar al Sistema de Tutoría</v-row>
        </v-col>
      </v-row>
      <st-roles :roles="roles"/>
    </v-col>

    <v-col v-else md="12">
      <v-row justify="center">
        <v-col cols="8">
          <v-row justify="center">¡Oh no!
            <span class="font-weight-bold">Aún no posees ningún rol en el sistema de tutoría.</span>
          </v-row>
          <v-row justify="center">Contáctate con el administrador del sistema o el coordinador de tu unidad.</v-row>
        </v-col>
      </v-row>
      <v-row justify="center">
        <div class="emptyRol">
          <v-img src="/images/planta.png"></v-img>
        </div>
      </v-row>
    </v-col>
  </v-row>
</v-container>
</template>

<script>
import Roles from '@/components/Roles'
export default {
  layout:'roles',
  data () {
    return{
    }
  },
  components: {
    'st-roles': Roles
  },
  computed:{
    roles(){
      return this.$store.state.roles.userRoles
    }
  }
}
</script>

<style scoped lang="scss">
/* scope for encapsulate css */
.container.fill-height{
  align-items:baseline
}
.emptyRol{
  max-width:80px;
  margin:80px 0;
}
</style>
